<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: フレーム</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>フレーム<br/>
<small>
[<a class="el" href="group__m17nGUI.html">GUI API</a>]</small>
</h1>
<p><em>フレーム</em> とはグラフィックデバイスに対応するオブジェクトである.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>型定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フレームの型宣言.  <a href="#gabb36d3a69526a891ce7534bda63a2687"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674">mframe</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">新しいフレームを作る.  <a href="#ga8fa9ad4e45dff9703c471d4b243eb674"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga97caf002f294cc386b88a2155ac21e66">mframe_get_prop</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フレームのプロパティの値を返す.  <a href="#ga97caf002f294cc386b88a2155ac21e66"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga4a417bb182e3e1a42095185e52c012f3">mframe_default</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">デフォルトのフレーム.  <a href="#ga4a417bb182e3e1a42095185e52c012f3"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数： フレームパラメータ用キー</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrp09dd155e011486f8d961036c0031a469"></a> フレームを生成する際のパラメータに用いるシンボル。詳しくは関数 <a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674" title="新しいフレームを作る.">mframe()</a> の説明参照。</p>
<p><b>Mdevice、</b> <b>Mdisplay、</b> <b>Mscreen、</b> <b>Mdrawable、</b> <b>Mdepth、</b> <b>Mcolormap</b> はフレームプロパティのキーでもある。 </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gacdb0835708df168948db8b3bdfbe910e">Mdevice</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga60e864afe6243a16342ea7bfa2c8a5d6">Mdisplay</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga28e8c59b7f5ada96e55ccdd4b117572c">Mscreen</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gac54b9f0433a28bd10e8de898289069c2">Mdrawable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga0a1c7aa87d02cd187ec0735588db225d">Mdepth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga3de479e1bf9915fb86833298d8e05316">Mcolormap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gadfd980d879793a59c497bfd08b9d946e">Mwidget</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga73342e810f6dd55417345fc1805f3d23">Mgd</a></td></tr>
<tr><td colspan="2"><h2>変数： フレームプロパティのキー</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrp92134602fae08aad79f8b65692c31b35"></a> 関数 <a class="el" href="group__m17nFrame.html#ga97caf002f294cc386b88a2155ac21e66" title="フレームのプロパティの値を返す.">mframe_get_prop()</a> の引数に用いられるシンボル。 </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga5d99e7994a0d1b4e24e4febe80403f99">Mfont</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gaaccde9d071c4889c5a73b36fce45e285">Mfont_width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gac51e83ad0a410d95fb34f2dae9a0f702">Mfont_ascent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gafc7b7df9268d89c57cdd075a3aeb2cd3">Mfont_descent</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p><em>フレーム</em> とはグラフィックデバイスに対応するオブジェクトである. </p>
<p><em>フレーム</em> とは <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687" title="フレームの型宣言.">MFrame</a> 型のオブジェクトであり、個々の表示／入力デバイスの情報を格納するために用いられる。 ほとんどすべての m17n GUI関数は、引数としてフレームへのポインタを要求する。 </p>
<hr/><h2>型定義</h2>
<a class="anchor" id="gabb36d3a69526a891ce7534bda63a2687"></a><!-- doxytag: member="m17n&#45;gui.h::MFrame" ref="gabb36d3a69526a891ce7534bda63a2687" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フレームの型宣言. </p>
<p><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687" title="フレームの型宣言.">MFrame</a> は、<em>フレーム</em> オブジェクト用の型である。 個々のフレームは、それが対応する物理的な表示／入力デバイスの各種情報を保持する。</p>
<p><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687" title="フレームの型宣言.">MFrame</a> 型の内部構造は、アプリケーションプログラムからは見えない。 またその内容は使用するウィンドウシステムに依存する。また m17n-X ライブラリにおけるフレームは、X ウィンドウの <em>display</em> と <em>screen</em> に関する情報を持つ。 </p>

</div>
</div>
<hr/><h2>関数</h2>
<a class="anchor" id="ga8fa9ad4e45dff9703c471d4b243eb674"></a><!-- doxytag: member="m17n&#45;gui.c::mframe" ref="ga8fa9ad4e45dff9703c471d4b243eb674" args="(MPlist *plist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a>* mframe </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>新しいフレームを作る. </p>
<p>関数 <a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674" title="新しいフレームを作る.">mframe()</a> は <b>plist</b> 中のパラメータを持つ新しいフレームを作る。 <b>plist</b> は <code>NULL</code> でも良い。</p>
<p><b>plist</b> に現われるキーのうちどれが認識されるかはウィンドウシステムに依存する。</p>
<p>以下のキーは常に認識される。</p>
<ul>
<li>
<p class="startli"><b>Mdevice</b>. 値は <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="&quot;x&quot; という名前を持つシンボル.">Mx</a>, <b>Mgd</b>, <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> のいずれかでなくてはならない。</p>
<p>値が <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="&quot;x&quot; という名前を持つシンボル.">Mx</a> ならば、新しいフレームは X ウィンドウシステム用である。 このフレームと共に指定された引数 <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb" title="ウィンドウシステムに依存する、ウィンドウの型宣言.">MDrawWindow</a> は、 <code>Window</code> 型でなくてはならない。フレームは読み書きともに可能であり、すべてのGUI 関数が使用できる。</p>
<p>値が <b>Mgd</b> ならば、新しいフレームは GD ライブラリのイメージオブジェクト用である。このフレームと共に指定された引数 <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb" title="ウィンドウシステムに依存する、ウィンドウの型宣言.">MDrawWindow</a> は、 <code>gdImagePtr</code> 型でなくてはならない。フレームは書き出し専用であり、 minput_ で始まる名前の関数は使用できない。</p>
<p>値が <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> ならば、新しいフレームは, null デバイス用である。このフレームは読み書きできないので、引数 <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb" title="ウィンドウシステムに依存する、ウィンドウの型宣言.">MDrawWindow</a> を必要とするmdraw_ で始まる名前の関数や、minput_ で始まる名前の関数は使用できない。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789" title="フェースを指定するテキストプロパティのキー.">Mface</a>. 値は <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5" title="フェースの型宣言.">MFace</a> へのポインタでなくてはならない。</p>
<p>この値はフレームのデフォルトのフェースとして用いられる。</p>
<p class="endli"></p>
</li>
</ul>
<p>これらのキーに加え、<b>Mdevice</b> のキーが <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="&quot;x&quot; という名前を持つシンボル.">Mx</a> である場合に限り以下のキーも認識される。以下のキーはルートウィンドウと、フレームで利用できる drawable の深さを指定する。</p>
<ul>
<li>
<p class="startli"><b>Mdrawable</b>. 値は <code>Drawable</code> 型でなくてはならない。</p>
<p>キー <b>Mdisplay</b> を持つパラメータも指定されている必要がある。 生成されたフレームは、指定されたディスプレイ上の指定された drawable と同じルートウィンドウと深さを持つ drawable に用いられる。</p>
<p>このパラメータがある場合には、<b>Mscreen</b> をキーとするパラメータは無視される。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mwidget</b>. 値は <code>Widget</code> 型でなくてはならない。</p>
<p>生成されたフレームは、指定したウィジェットと同じルートウィンドウと深さを持つ drawable に用いられる。</p>
<p>キー <a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789" title="フェースを指定するテキストプロパティのキー.">Mface</a> を持つパラメータがなければ、デフォルトのフェースはこの ウィジェットのリソースから作られる。</p>
<p>このパラメータがある場合には、<b>Mdisplay</b>, <b>Mscreen</b>, <b>Mdrawable</b>, <b>Mdepth</b> をキーとするパラメータは無視される。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mdepth</b>. 値は <code>unsigned</code> 型でなくてはならない。</p>
<p>生成されたフレームは、指定した深さの drawable に用いられる。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mscreen</b>. 値は <code>(Screen *)</code> 型でなくてはならない。</p>
<p>生成したフレームは、指定したスクリーンと同じルートウィンドウを持ち、スクリーンのデフォルトの深さと同じ深さを持つ drawable に用いられる。</p>
<p>このパラメータがある場合には、<b>Mdisplay</b> をキーとするパラメータは無視される。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mdisplay</b>. 値は <code>(Display *)</code> 型でなくてはならない。</p>
<p>生成されたフレームは、指定したディスプレイのデフォルトスクリーンと同じルートウィンドウと同じ深さを持つdrawables に用いられる。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mcolormap</b>. 値は <code>(Colormap)</code> 型でなくてはならない。</p>
<p>生成されたフレームは、指定したカラーマップを使用する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><a class="el" href="group__m17nFrame.html#ga5d99e7994a0d1b4e24e4febe80403f99">Mfont</a>. 値は、<a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="&quot;x&quot; という名前を持つシンボル.">Mx</a>, <a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491" title="&quot;freetype&quot; という名前を持つシンボル.">Mfreetype</a>, <a class="el" href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a" title="&quot;xft&quot; という名前を持つシンボル.">Mxft</a> のいずれか。</p>
<p>生成されたフレームは指定したフォントバックエンドを使用する。値が <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="&quot;x&quot; という名前を持つシンボル.">Mx</a> であれば X のコアフォント、<a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491" title="&quot;freetype&quot; という名前を持つシンボル.">Mfreetype</a> であれば FreeType でサポートされているローカルフォント、<a class="el" href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a" title="&quot;xft&quot; という名前を持つシンボル.">Mxft</a> であれば Xft ライブラリ経由で用いるローカルフォントを使用する。 複数のフォントバックエンドを使用したい場合には、このパラメータを複数回、異なる値で指定することができる。 指定したバックエンドがサポートされていないデバイスでは、このパラメータは無視される。</p>
<p>このパラメータが無い場合には、デバイスでサポートされているすべてのフォントバックエンドを利用する。</p>
<p class="endli"></p>
</li>
</ul>
<dl class="user"><dt><b>戻り値:</b></dt><dd>成功すれば <a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674" title="新しいフレームを作る.">mframe()</a> は新しいフレームへのポインタを返す。そうでなければ <code>NULL</code> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga97caf002f294cc386b88a2155ac21e66"></a><!-- doxytag: member="m17n&#45;gui.c::mframe_get_prop" ref="ga97caf002f294cc386b88a2155ac21e66" args="(MFrame *frame, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mframe_get_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フレームのプロパティの値を返す. </p>
<p>関数 <a class="el" href="group__m17nFrame.html#ga97caf002f294cc386b88a2155ac21e66" title="フレームのプロパティの値を返す.">mframe_get_prop()</a> はフレーム <b>frame</b> のキー <b>key</b> を持つプロパティの値を返す。有効なキーとその値は以下の通り。</p>
<div class="fragment"><pre class="fragment">

        キー            値の型          値の意味
        ---             -------------   ----------------
        Mface           MFace *         デフォルトのフェース

        Mfont           MFont *         デフォルトのフォント

        Mfont_width     int             デフォルトのフォントの幅

        Mfont_ascent    int             デフォルトのフォントの ascent

        Mfont_descent   int             デフォルトのフォントの descent

</pre></div><p>m17n-X ライブラリでは、以下のキーも使用できる。</p>
<div class="fragment"><pre class="fragment">

        キー            値の型          値の意味
        ---             -------------   ----------------
        Mdisplay        Display *       フレームと関連付けられたディスプレイ

        Mscreen         int             フレームと関連付けられたスクリーン
                                        のスクリーンナンバ

        Mcolormap       Colormap        フレームのカラーマップ

        Mdepth          unsigned        フレームの深さ
</pre></div> 
</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="gacdb0835708df168948db8b3bdfbe910e"></a><!-- doxytag: member="m17n&#45;gui.c::Mdevice" ref="gacdb0835708df168948db8b3bdfbe910e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gacdb0835708df168948db8b3bdfbe910e">Mdevice</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga60e864afe6243a16342ea7bfa2c8a5d6"></a><!-- doxytag: member="m17n&#45;gui.c::Mdisplay" ref="ga60e864afe6243a16342ea7bfa2c8a5d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga60e864afe6243a16342ea7bfa2c8a5d6">Mdisplay</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga28e8c59b7f5ada96e55ccdd4b117572c"></a><!-- doxytag: member="m17n&#45;gui.c::Mscreen" ref="ga28e8c59b7f5ada96e55ccdd4b117572c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga28e8c59b7f5ada96e55ccdd4b117572c">Mscreen</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gac54b9f0433a28bd10e8de898289069c2"></a><!-- doxytag: member="m17n&#45;gui.c::Mdrawable" ref="gac54b9f0433a28bd10e8de898289069c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gac54b9f0433a28bd10e8de898289069c2">Mdrawable</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga0a1c7aa87d02cd187ec0735588db225d"></a><!-- doxytag: member="m17n&#45;gui.c::Mdepth" ref="ga0a1c7aa87d02cd187ec0735588db225d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga0a1c7aa87d02cd187ec0735588db225d">Mdepth</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga3de479e1bf9915fb86833298d8e05316"></a><!-- doxytag: member="m17n&#45;gui.c::Mcolormap" ref="ga3de479e1bf9915fb86833298d8e05316" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga3de479e1bf9915fb86833298d8e05316">Mcolormap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gadfd980d879793a59c497bfd08b9d946e"></a><!-- doxytag: member="m17n&#45;gui.c::Mwidget" ref="gadfd980d879793a59c497bfd08b9d946e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gadfd980d879793a59c497bfd08b9d946e">Mwidget</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga73342e810f6dd55417345fc1805f3d23"></a><!-- doxytag: member="m17n&#45;gui.c::Mgd" ref="ga73342e810f6dd55417345fc1805f3d23" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga73342e810f6dd55417345fc1805f3d23">Mgd</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga5d99e7994a0d1b4e24e4febe80403f99"></a><!-- doxytag: member="m17n&#45;gui.c::Mfont" ref="ga5d99e7994a0d1b4e24e4febe80403f99" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga5d99e7994a0d1b4e24e4febe80403f99">Mfont</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gaaccde9d071c4889c5a73b36fce45e285"></a><!-- doxytag: member="m17n&#45;gui.c::Mfont_width" ref="gaaccde9d071c4889c5a73b36fce45e285" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gaaccde9d071c4889c5a73b36fce45e285">Mfont_width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gac51e83ad0a410d95fb34f2dae9a0f702"></a><!-- doxytag: member="m17n&#45;gui.c::Mfont_ascent" ref="gac51e83ad0a410d95fb34f2dae9a0f702" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gac51e83ad0a410d95fb34f2dae9a0f702">Mfont_ascent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gafc7b7df9268d89c57cdd075a3aeb2cd3"></a><!-- doxytag: member="m17n&#45;gui.c::Mfont_descent" ref="gafc7b7df9268d89c57cdd075a3aeb2cd3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gafc7b7df9268d89c57cdd075a3aeb2cd3">Mfont_descent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga4a417bb182e3e1a42095185e52c012f3"></a><!-- doxytag: member="m17n&#45;gui.c::mframe_default" ref="ga4a417bb182e3e1a42095185e52c012f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a>* <a class="el" href="group__m17nFrame.html#ga4a417bb182e3e1a42095185e52c012f3">mframe_default</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>デフォルトのフレーム. </p>
<p>外部変数 <a class="el" href="group__m17nFrame.html#ga4a417bb182e3e1a42095185e52c012f3" title="デフォルトのフレーム.">mframe_default</a> は、デフォルトのフレームへのポインタを持つ。 デフォルトのフレームは、最初に <a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674" title="新しいフレームを作る.">mframe()</a> が呼び出されたときに作られる。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
